
Figure - Bug #117634
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT3】【小窗模式】强制小窗使用微信登录，点击确认后 小窗关闭
2023-04-21 18:23 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-04-21

Priority: Normal Due date:

Assignee: 物联网测试组_CDTS  唐霞 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304210449

Resolution: FIXED Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 采用新的方案,不在将之前的小窗删除,只是隐藏小窗,当登录返回时,重新显示之前的小窗

Description

【测试步骤】

打开网易新闻，点击我-使用微信登录

【预期结果】

账号登录成功

【测试结果】

小窗应用关闭

【备注】

酷我音乐、网易新闻、应用宝、网易云音乐、今日头条等10个强制小窗应用都存在该问题

Related issues:

Related to Figure - Bug # 118087: 【IOVDEV-29139】【内部】【VC1】... CLOSED 2023-05-18

History

#1 - 2023-04-21 20:17 - CD FW-鲁凯峰

- Assignee changed from CD APP-王宏 to CD FW-鲁凯峰

#2 - 2023-04-23 19:53 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

当前进展：

新起问题，还在分析中

下一步计划：

定位问题原因

#3 - 2023-04-23 19:59 - CD FW-鲁凯峰

使用微信登录的时候由于是使用小窗模式启动,而且它新建了一个Task,而我们的需求里面不允许同时存在多个小窗,所以最开始启动的小窗应用就会

被finish掉,导致微信登录成功返回后,直接到了Home,因为前一个应用已经被finish了

目前还没有什么好的办法来解决这个问题

#4 - 2023-05-04 20:20 - CD FW-鲁凯峰
根据之前讨论的方案,正在考虑将小窗移到后台,不在finish.

目前还在编码中

#5 - 2023-05-10 20:58 - CD FW-鲁凯峰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to 物联网测试组_CDTS  唐霞 

- Resolution changed from -- to FIXED

- Root cause set to 采用新的方案,不在将之前的小窗删除,只是隐藏小窗,当登录返回时,重新显示之前的小窗

■ Current conclusion

问题已经解决

■ My analysis

采用新的方案,不在将之前的小窗删除,只是隐藏小窗,当登录返回时,重新显示之前的小窗

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/196923

#6 - 2023-05-11 15:07 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

验证通过，关闭问题单

验证版本：FlatBuild_HH_MCE_FSE.M.R.user.01.00.0099.C103

#7 - 2023-05-11 15:07 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED

Files

微信登录，小窗关闭.mp4 2.38 MB 2023-04-21 物联网测试组_CDTS  唐霞 
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/196923

